com.atid.lib.reader.types

## Enum NotifyTimeType

- java.lang.Object
- - java.lang.Enum<NotifyTimeType>
  - - com.atid.lib.reader.types.NotifyTimeType

- All Implemented Interfaces:
    IEnumType, java.io.Serializable, java.lang.Comparable<NotifyTimeType>

      public enum NotifyTimeType
      extends java.lang.Enum<NotifyTimeType>
      implements IEnumType

  The NotifyTimeType enumeration represents the notification time of the Device.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `Long`
    `No`
    `Short`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCode()`
    `java.lang.String` | `toString()`
    `static NotifyTimeType` | `valueOf(int code)`
    `static NotifyTimeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NotifyTimeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### No

          public static final NotifyTimeType No

    - #### Short

          public static final NotifyTimeType Short

    - #### Long

          public static final NotifyTimeType Long

  - ### Method Detail

    - #### values

          public static NotifyTimeType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NotifyTimeType c : NotifyTimeType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NotifyTimeType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getCode

          public int getCode()

      Specified by:
        `getCode` in interface `IEnumType`

    - #### toString

          public java.lang.String toString()

      Specified by:
        `toString` in interface `IEnumType`
      Overrides:
        `toString` in class `java.lang.Enum<NotifyTimeType>`

    - #### valueOf

          public static NotifyTimeType valueOf(int code)